// This file was generated by gir (https://github.com/gtk-rs/gir)
// from
// from gir-files (https://github.com/gtk-rs/gir-files.git)
// DO NOT EDIT

use std::fmt;

#[cfg(feature = "gtk_v3_4")]
#[cfg_attr(docsrs, doc(cfg(feature = "gtk_v3_4")))]
glib::wrapper! {
    #[doc(alias = "DzlListBoxRow")]
    pub struct ListBoxRow(Object<ffi::DzlListBoxRow, ffi::DzlListBoxRowClass>) @extends gtk::ListBoxRow, gtk::Bin, gtk::Container, gtk::Widget, @implements gtk::Buildable, gtk::Actionable;

    match fn {
        type_ => || ffi::dzl_list_box_row_get_type(),
    }
}

#[cfg(not(any(feature = "gtk_v3_4")))]
glib::wrapper! {
    #[doc(alias = "DzlListBoxRow")]
    pub struct ListBoxRow(Object<ffi::DzlListBoxRow, ffi::DzlListBoxRowClass>) @extends gtk::ListBoxRow, gtk::Bin, gtk::Container, gtk::Widget, @implements gtk::Buildable;

    match fn {
        type_ => || ffi::dzl_list_box_row_get_type(),
    }
}

impl ListBoxRow {
    pub const NONE: Option<&'static ListBoxRow> = None;
}

impl fmt::Display for ListBoxRow {
    fn fmt(&self, f: &mut fmt::Formatter) -> fmt::Result {
        f.write_str("ListBoxRow")
    }
}
